yast2-ncurses: NCStyleDef::SubWin Struct Reference

Main Page | Namespace List | Class Hierarchy | Class List | Directories | File List | Namespace Members | Class Members | File Members

# NCStyleDef::SubWin Struct Reference

Inheritance diagram for NCStyleDef::SubWin:

List of all members.

## Public Member Functions
| SubWin (string T, NCursesWindow &P, int H, int W, int L, int C)
virtual | ~SubWin ()
virtual void | draw (bool immediate=false)
virtual int | dtag ()
virtual int | change ()
virtual void | enterchange ()
virtual void | leavechange ()
virtual void | handle (int in)
## Public Attributes
NCursesWindow | w
string | tag
chtype | changestyle
## Static Public Attributes
static const int | taglen = 7

## Constructor & Destructor Documentation

NCStyleDef::SubWin::SubWin | ( | string | T,
|  | NCursesWindow & | P,
|  | int | H,
|  | int | W,
|  | int | L,
|  | int | C
| ) | `[inline]`

virtual NCStyleDef::SubWin::~SubWin | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual int NCStyleDef::SubWin::change | ( |  | ) | `[inline, virtual]`

| Reimplemented in NCStyleDef::Wchstat, and NCStyleDef::Wex.

virtual void NCStyleDef::SubWin::draw | ( | bool | immediate = `false` | ) | `[inline, virtual]`

| Reimplemented in NCStyleDef::Wstyle, NCStyleDef::Wset, NCStyleDef::Wchattr, NCStyleDef::Wchstat, and NCStyleDef::Wex.

virtual int NCStyleDef::SubWin::dtag | ( |  | ) | `[inline, virtual]`

virtual void NCStyleDef::SubWin::enterchange | ( |  | ) | `[inline, virtual]`

virtual void NCStyleDef::SubWin::handle | ( | int | in | ) | `[inline, virtual]`

| Reimplemented in NCStyleDef::Wstyle, NCStyleDef::Wset, and NCStyleDef::Wchattr.

virtual void NCStyleDef::SubWin::leavechange | ( |  | ) | `[inline, virtual]`

## Member Data Documentation

chtype NCStyleDef::SubWin::changestyle

string NCStyleDef::SubWin::tag

const int NCStyleDef::SubWin::taglen = 7`[static]`

NCursesWindow NCStyleDef::SubWin::w

The documentation for this struct was generated from the following file:

- NCStyleDef.cc